Subject: Re: bug#26532: Re: bug#26532: [PATCH] gnu: update you-get version

From: "Feng Shu" <[email-masked]>
Date: Tue, 18 Apr 2017 06:07:15 +0800

Marius Bakke <[email-masked]> writes:

> Feng Shu <[email-masked]> writes:
>
>> tumashu  <[email-masked]> writes:
>>
>> This is the updated patch, I use git-fetch instead of url-fetch for I
>> want to package git-snapshot if need.
>
> What is the rationale for packaging the git version in anticipation of
> needing it later? In this case the latest release is also the latest
> commit, so I don't see any compelling reason for switching to git-fetch
> at this moment.
>
> Git snapshots use more bandwidth than regular downloads (mostly due to
> Guix' lack of shallow clones), and also more disk space since they
> create a source derivation. They also introduce a dependency on git
> which ticks in at 344.5MiB.

344.5MiB ...

you are right, tarball seem to be a better approach.

>
> Note that you can also build a package from a local source code copy
> with `guix build --with-source=/path/to/git/checkout you-get` in case of
> emergency :)
>

This is a very useful tip, thanks!

the below is updated patch:

>From 77df519f20b5304ec0e838ad519aef26ab18115c Mon Sep 17 00:00:00 2001
From: Feng Shu <[email-masked]>
Date: Tue, 18 Apr 2017 06:04:12 +0800
Subject: [PATCH] gnu: update you-get version

* gnu/packages/video.scm (you-get): Update you-get version
---
 gnu/packages/video.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/video.scm b/gnu/packages/video.scm
index e1c6a989f..dcac350d0 100644
--- a/gnu/packages/video.scm
+++ b/gnu/packages/video.scm
@@ -1105,7 +1105,7 @@ other site that youtube-dl supports.")
 (define-public you-get
   (package
     (name "you-get")
-    (version "0.4.652")
+    (version "0.4.715")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -1113,7 +1113,7 @@ other site that youtube-dl supports.")
                     version "/you-get-" version ".tar.gz"))
               (sha256
                (base32
-                "0brkz98lycx8mmxjwmn7jlhqfdbvl0hy070n7skwr1k75kh99q30"))))
+                "043122hfh56fbbszp1kwd1f65asgyn60j1ijday93hf2dkhvbrnh"))))
     (build-system python-build-system)
     (arguments
      ;; no tests
-- 
2.12.2

--